import axios from 'axios'
import vue from "@/main";
import {Notify, Toast} from "vant";

const BASE_URL = "http://192.168.10.107:8003"
// 创建axios实例
const service = axios.create({
    baseURL: BASE_URL, // api的base_url
    timeout: 500000 // 请求超时时间
})

// request拦截器
service.interceptors.request.use(config => {
    config.headers = {
        "Content-Type": "application/json;charset=UTF-8",
        "X-Token": localStorage.getItem('token') || ""
    };
    return config
}, error => {
    console.log(error) // for debug
    Promise.reject(error)
})

// response拦截器
service.interceptors.response.use(
    response => {
        /**
         * 下面的注释为通过response自定义code来标示请求状态，当code返回如下情况为权限有问题，登出并返回到登录页
         * 如通过xmlhttprequest 状态码标识 逻辑可写在下面error中
         */
        let res = response.data;
        if (res.code !== 200) {
            Toast(res.message);
            // 50008:非法的token; 50012:其他客户端登录了;  50014:Token 过期了;
            if (res.code === 401 || res.code === 50012 || res.code === 50014) {
                location.reload();// 为了重新实例化vue-router对象 避免bug

            }
            return Promise.reject('error');
        } else {
            return response;
        }
    },
    error => {
        return Promise.reject(error)
    })

export default service
